%global srcname SQLAlchemy
%global srcversion %{lua: srcversion, num = rpm.expand("%{version}"):gsub("~", ""); print(srcversion);}

Summary:        The Python SQL Toolkit and Object Relational Mapper
Name:           python-sqlalchemy
Version:        1.4.49
Release:        6%{?dist}
License:        MIT
URL:            https://www.sqlalchemy.org/
Source0:        %{pypi_source %{srcname} %{srcversion}}

BuildRequires:  gcc
BuildRequires:  python3-devel >= 3.6 python3-greenlet >= 1.0
BuildRequires:  python3-setuptools python3-pytest

%description
SQLAlchemy is an Object Relational Mapper (ORM) that provides a flexible,high-level interface to 
SQL databases. This package provides a powerful mapping layer that can work as automatically or 
as manually as you choose, determining relationships based on foreign keys or letting you define 
the join conditions explicitly, to bridge the gap between database and domain.

%package -n python3-sqlalchemy
Summary:        %{summary}

%description -n python3-sqlalchemy
SQLAlchemy is an Object Relational Mapper (ORM) that provides a flexible,high-level interface to 
SQL databases. This package provides a powerful mapping layer that can work as automatically or 
as manually as you choose, determining relationships based on foreign keys or letting you define 
the join conditions explicitly, to bridge the gap between database and domain.

%prep
%autosetup -n %{srcname}-%{srcversion} -p1

%build
%py3_build

%install
%py3_install

rm -rf doc/build

%check
%pytest test 

%files -n python3-sqlalchemy
%license LICENSE
%doc README.rst doc examples
%{python3_sitearch}/SQLAlchemy-*.egg-info/
%{python3_sitearch}/sqlalchemy/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.49-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.49-5
- Rebuilt for loongarch release

* Mon Oct 30 2023 Wang Guodong <gordonwwang@tencent.com> - 1.4.49-4
- update summary

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.49-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.49-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 Shuo Wang <abushwang@tencent.com> - 1.4.49-1
- update to 1.4.49

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.44-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.44-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Wang Guodong <gordonwwang@tencent.com> - 1.4.44-1
- package init.
